Redmine - Defect #8610

Visiting revisions should try to update revisions before issuing a 404
2011-06-15 03:33 - Dave Abrahams

Status: Closed Start date: 2011-06-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.2.0
Description

| just visited http://mysite.com/projects/xxxx/repository/revisions/a1d98298d2c7bc8d0533b299¢c418526b8a11d85a and got an
immediate 404. Then | visited http://mysite.com/projects/xxxx/repository and there was a long delay before anything was shown, but
afterwards, the original link worked.

BTW, the long delay makes me wonder: are we expected to set up a cron job to update revisions? If so, that's not really clear from
the docs.

Related issues:
Related to Redmine - Feature #8624: revisions should always be automatically ... New 2011-06-16

History

#1 - 2011-06-15 04:18 - ed brown

is it a real website? if it is and you know the owner contact them or maybe they deleted it too
#2 - 2011-06-15 06:44 - Dave Abrahams
ed brown wrote:
is it a real website? if it is and you know the owner contact them or maybe they deleted it too

Yes, it's a real website but | obfuscated the URL because you can't see the real website anyhow; it's password-protected. | wouldn't expect you to be
able to see anything interesting there anyhow because as | said, the link now resolves properly.

#3 - 2011-06-15 14:01 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid

Dave Abrahams wrote:

| just visited http://mysite.com/projects/xxxx/repository/revisions/a1d98298d2c7bc8d0533b299¢c418526b8ai1d85a and got an immediate 404.
Then | visited http:/mysite.com/projects/xxxx/repository and there was a long delay before anything was shown, but afterwards, the original link
worked.

That's the distinction between /revisions and /changes (respectively known as "View revisions" and "View all revisions" links in Repository tab pages) :
the first one won't fetch your changes from the SCM (as will /repository if you configure RM to do so) and the second will.

BTW, the long delay makes me wonder: are we expected to set up a cron job to update revisions? If so, that's not really clear from the docs.

If you're accessing your changes in Redmine from outside of Redmine site via direct URL, you might want to add a cron job or a post-update hook
(see HowTo setup automatic refresh of repositories in Redmine on commit) to have the revision list up to date, indeed.

Although I'm a little uncomfortable with the actual behavior too, | close the issue as it's the expected behavior.

#4 - 2011-06-15 17:28 - Dave Abrahams

- Status changed from Closed to Reopened

0. Thanks for the information; that's a big help!
1. is the difference between /revisions and /changes documented somewhere?
http://mysite.com/projects/xxxx/repository/revisions/a1d98298d2c7bc8d0533b299c418526b8a11d85a
http://mysite.com/projects/xxxx/repository
http://mysite.com/projects/xxxx/repository/revisions/a1d98298d2c7bc8d0533b299c418526b8a11d85a
http://mysite.com/projects/xxxx/repository
https://www.redmine.org/projects/redmine/wiki/HowTo_setup_automatic_refresh_of_repositories_in_Redmine_on_commit

2. Do | really have to open a new ticket to flag this as a design/usability bug?

#5 - 2011-06-15 23:30 - Etienne Massip

- Status changed from Reopened to Closed

Dave Abrahams wrote:

1. is the difference between /revisions and /changes documented somewhere?

Looked for it quickly in wiki but didn't find anything relevant; as | said, I'm not sure to understand the acutal behavior, so | guess I'm not the right
person to write a chapter about it.

2. Do | really have to open a new ticket to flag this as a design/usability bug?
Yes, please, if you want. Mainly because a Feature Request usually presents some new enhancement ideas.

#6 - 2011-06-16 01:26 - Dave Abrahams

Etienne Massip wrote:
Dave Abrahams wrote:

2. Do | really have to open a new ticket to flag this as a design/usability bug?

Yes, please, if you want. Mainly because a Feature Request usually presents some new enhancement ideas.

Done; see #8624

#7 - 2011-06-16 10:21 - Toshi MARUYAMA
- Category set to SCM
